> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

> List metadata for all secrets in your organization. Does not return secret values.

# List secrets



## OpenAPI

````yaml /v1-openapi.yaml GET /v1/secrets
openapi: 3.1.0
info:
  description: Devin v1 API with Personal and Service API Keys
  title: Devin API v1
  version: 1.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v1/secrets:
    get:
      summary: List secrets
      description: >-
        List all secrets for the organization. Returns metadata only, not the
        secret values.
      operationId: get_secrets_v1_secrets_get
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/SecretMetadata'
                title: Response Get Secrets V1 Secrets Get
                type: array
          description: Successful Response
components:
  schemas:
    SecretMetadata:
      description: Metadata about a stored secret.
      properties:
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Created At
        id:
          title: Id
          type: string
        key:
          anyOf:
            - type: string
            - type: 'null'
          title: Key
        type:
          enum:
            - cookie
            - key-value
            - dictionary
            - totp
          title: Type
          type: string
      required:
        - id
        - type
      title: SecretMetadata
      type: object
  securitySchemes:
    bearerAuth:
      description: Personal API Key (apk_user_*) or Service API Key (apk_*)
      scheme: bearer
      type: http

````